> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vectalk.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Reação

> Reagia a uma mensagem recebida com um emoji

<ParamField body="messaging_product" type="string" required default="whatsapp" />

<ParamField body="to" type="string" required placeholder="5511999999999" />

<ParamField body="recipient_type" type="string" default="individual" />

<ParamField body="type" type="string" required default="reaction" />

<ParamField body="reaction" type="object" required>
  <Expandable title="campos" defaultOpen>
    <ParamField body="reaction.message_id" type="string" required placeholder="wamid.HBgLNTUx...">
      ID da mensagem recebida via webhook (`messages[0].id`).
    </ParamField>

    <ParamField body="reaction.emoji" type="string" required placeholder="👍">
      Emoji da reação. Envie string vazia `""` para remover uma reação existente.
    </ParamField>
  </Expandable>
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url https://apis.vectalk.com.br/api/messages \
    --header 'Authorization: Bearer <token>' \
    --header 'Content-Type: application/json' \
    --data '{
      "messaging_product": "whatsapp",
      "to": "5511999999999",
      "type": "reaction",
      "reaction": {
        "message_id": "wamid.HBgLNTUx...",
        "emoji": "👍"
      }
    }'
  ```
</RequestExample>
